digiKam 5.1.0 is published...

Dear digiKam fans and users,

After a first release 5.0.0 published one month ago, the digiKam team is proud to announce the new release 5.1.0 of digiKam Software Collection. This version introduces a new huge bugs triage and some fixes following first feedback from end-users.

This release update internal Libraw to last public and pre-release version 0.18.0. This permit to digiKam to support new lead RAW cameras as:

  • Canon 80D, 1300D, 1DX MkII
  • Fujifilm X-Pro2, X70, X-E2S
  • HTC One A9 and M9
  • Leica M and X-U
  • Nikon D5
  • Olympus Pen F, SH-3
  • Panasonic DMC-GX80/85, DMC-TZ80/81/85/ZS60, DMC-TZ100/101/ZS100
  • PhaseOne IQ150, IQ180 IR, IQ3
  • Samsung Galaxy S7
  • Sony ILCA-68, ILCE-6300, RX1R II, RX10 III

In addition, a consolidation of Mysql database interface has been continued. Some optimizations have been introduced to speed-up startup operation, especially to delay the scan from new items after the main interface initialization. Also the option to enable or disable the scan for new items at startup is back in Setup/Miscs dialog page.

For furher information, take a look into the list of more than 343 files currently closed in Bugzilla.

digiKam software collection source code tarball, OSX (>= 10.8) package, and Windows 32/64 bits installers can be downloaded from this repository

Happy digiKaming!

Looking for the import

Looking for the import metadata feature from 4.x and can't find it. Is it gone? When is updated documentation available (or how can I contribute to updating existing user docs)?

For documentation...

...see instructions from here...

import/export metadata...

...must be ported as new BQM tools, but it's not yet done currently.

Thanks. I understand the

Thanks. I understand the decision has been made to move many things to BQM tools, but that really makes a rough and disjointed workflow for the sake of simplified menus, especially when working with just one or a few photos at a time.

Having said that, I've been using digiKam for years and it's fantastic on the whole. Thanks to all the developers for the hard work and devotion to a great piece of software.

Digikam never ceases to

Digikam never ceases to impress! I've been a user for over 10 years and I've never been disappointed. D5.0 was released and I never skipped a beat; can't wait to get packages for 5.1! Thank you!

digiKam 5.1.0 crashes

On Windows 8 x64 digiKam version 5.1.0 crashes any time I right-click in the Album panel.

We need more info...

As a debug trace with debugview program and a GDB backtrace as well if it's not enough.

Look https://www.digikam.org/contrib for details.

digiKam-5.1.0-01-Win64: no possibility to change language?

Thx for the great work to all developers and supporters! On Kubuntu it works well, but on the 64-bit-windows-version i miss the option "Switch Application Language" in the help menu.

It would be fine if you could bring this option back in the next update.

Greetings from Germany

Please report this problem to bugzilla...

https://www.digikam.org/support

Same behavior with digiKam-5.1.0-01-Win32

But I simply copied the content of the folder digikam\data\locale\de from an installation of digiKam-5.0.0 and this seems to work for now.

Also Greetings from Germany;-)

Problem found...

... and preparing new 5.1.0-02 Windows installers...

new 5.1.0-02 Windows installers with i18n...

http://download.kde.org/stable/digikam/digiKam-5.1.0-02-Win32.exe.mirrorlist

http://download.kde.org/stable/digikam/digiKam-5.1.0-02-Win64.exe.mirrorlist

new 5.1.0-02 Windows installer for 64 bit works

Thx a lot for the very quick response!

Bug in 5.00 5.10

Found a bug in both versions. Currently using 5.10 64 bit windows.
Windows 7

When starting, the program will generate drive not found 5 times each for every card reader on my computer. For me, that's 15 times since I have a 3 card reader. To get past it, I have to press continue over and over again until it stops putting up the messages.

The exact wording is...
"There is no disk in the drive. Please insert a disk into drive \Device\Harddisk3\DR3."
With the Location changing for each of the card readers.

The thing is... I haven't told it that there are any collection on any of my card readers. Yet it still is checking for them. I've tried deleting the config file, but even with a fresh config, it still does it.

See this entry in bugzilla

https://bugs.kde.org/show_bug.cgi?id=366234

Startup time on networked notebook is SO MUCH faster, thanks!

Startup time on a networked notebook (NFS shares, MySQL DB) is SO MUCH faster (and usable for the first time), thanks! (Used to be approx. 10 minutes...)

Regards,
Heinz

$date(Y-M-D) ?

Hello
wonderful soft, this Digikam !!!!
thank you !
I have one question : will it be possible to have a function to add a legende with something like that : $date(Y-M-D HHMMSS) (like the "rename" tool)?
I have searched this and I think it doesn't exist :-(

and...

to add this legend to lot of pictures at the same time ;-)

not yet implemented...

...We have a watermark tool in BQM where the kind of feature must be implemented...

sorry but I don't understand

sorry but I don't understand your answer :-(

BQM = Batch Queue Manager

Batch Queue Manager is a tools suppervisor which can process a list of queued operations on a group of files. There is a tool to add text over images in BQM where this kind of feature must be implemented...

ah ok I see now :-) no, in

ah ok I see now :-)
no, in fact, it's not about writing a text over image but I want to create metadata ("legend" or "title", I don't remember)

Great, it's working again

on Mac OSX 10.11, thank you very much. The 5.0 release was disappointing because it crashed immediately after the starting splash screen came up. But this one works! I am really happy, thank you!

Compiling digikam 5.1 under SUSE Tumbleweed fails

Hejdiho!

I'm compiling and using and loving digikam for many years now. I want to switch to V5.x, but fail to compile it under SUSE Tumbleweed - which is delivered (so far) with digikam 4.14.0 - which means, all support libs and devel files also match V4.x

Errors during cmake seem QT5 related, like

CMake Warning at /usr/lib64/cmake/Qt5/Qt5Config.cmake:26 (find_package):
Could not find a package configuration file provided by "Qt5Multimedia"
...

or KF5 related:
CMake Warning at /usr/share/ECM/find-modules/FindKF5.cmake:74 (find_package):
Could not find a package configuration file provided by "KF5AkonadiContact"
...

Any hint or help, what to do, to make compile work on SUSE Tumbleweed (or SUSE Leap 42.1)?

Thanks a lot in advance,

Christoph

compile problem of V5.1 solved.

To solve this, I needed to install three more packages; unfortunately the names were good matches with the cmake-errors, however, a little twisted:

libq5-qtmultimedia-devel
akonadi-calender-devel
akonadi-contact-devel

Next thing then looks like
[digikam] [Bug 360017] New: build error: opencv_contrib is required...

Tumbleweed comes with OpcenCV V3.x, which cmake seems unable to detect automatically. If one very carefully reads all warnings, incl. the early ones, one finds a hint to use this:

cmake . -DENABLE_OPENCV3=true

So the Bug is not really back, however, cmake could be improved to better tell OpenCV 2.x from 3.x

Anyways, with this, compile works fine now.

Christoph

Compile hint for SUSE Leap 42.1

Up until now, SUSE Leap 42.1 comes with libkf5kipi V15.12.3-15.1, which is too old to compile digikam V5.1. You'll get an error like this:

.../kpimageslist.cpp:826:39: error: ‘class KIPI::Interface’ has no member named ‘rawFiles’
QString rawFilesExt = d->iface->rawFiles();

To overcome this, you need at least libkf5kipi V16...

Christoph

apt still on 4.12

Hi, Any idea when apt will get notice of the current release? I'm still a linux noob (weaning myself off windows) and couldn't 'make' the current release. Do I need something from Git to make bootstrap work?
Thanks,
A

answering my own question

After some duckduckgo'ing I'll answer my own question for anyone else as inexperienced with this as me:

sudo add-apt-repository ppa:philip5/extra
sudo apt-get update
sudo apt-get install digikam5

import wizard missing?

when importing photos from a camera or card, the import wizard is missing in digikam 5.*. is this a bug or a "feature"? i use digikam quite a bit, but not being able to rename and organize photos when downloading is a big downside. i'll stick to 4.14 until this is sorted out.